这是林泊百科的迁移技术测试站点,所有改动不会同步到林泊百科上,此站点将会在正式迁移后关闭,请勿存放重要数据

模板:SaturnForum/common.css:修订间差异

来自Limbo Wiki
跳转到导航 跳转到搜索
晨茗biu~留言 | 贡献
无编辑摘要
标签(旧)WikiEditor
晨茗biu~留言 | 贡献
晨茗biu~将页面模板:SaturnForum/common.css的内容模型从“CSS”更改为“已过滤的CSS”:​测试页面内容模型更改
 
(未显示同一用户的10个中间版本)
第1行: 第1行:
.SaturnForum-Maincontainer{
        .SaturnForum-Maincontainer {
  position: relative;
            display: grid;
  display: flex;
            width: 95%;
  flex-direction: column;
            min-width: 200px;
  width: 80%;
            max-width: 1100px;
  min-width: 200px;
            min-height: 300px;
  max-width: 1000px;
            grid-template-columns: 100px 2px 1fr 1fr;
  min-height: 300px;  
            grid-template-rows: minmax(40px,auto) 2px 80px minmax(136px,auto) 2px minmax(40px,auto);
  background-color: #f0f0f0;
            grid-template-areas:
  margin: 0 auto;
                "logo line-left-top time floor"
}
                "line-top line-top line-top line-top"
.SaturnForum-logo {
                "portrait line-left-center text text"
  position: absolute !important;
                "user line-left-center text text"
  width: 96px !important;  
                "line-bottom line-bottom line-bottom line-bottom"
  height: 32px !important;
                ". line-left-bottom reaction reaction";
  left:12px !important;
            background-color: #f0f0f0;
  top:4px !important;
            margin: 0 auto;
}
        }
.SaturnForum-portrait {
        .SaturnForum-logo {
  background-color: rgba(98,92,93,255);
            grid-area: logo;
  margin-top: 10px;
            justify-self: center;
  margin-left: 30px;
            align-self: center;
  height: 60px;
        }
  width: 60px;
        .SaturnForum-line-top {
  display: flex;
            grid-area: line-top;
  order: 2;  
            background-color: rgba(98,98,98,255);
}
        }
.SaturnForum-user {
        .SaturnForum-line-bottom {
  width: 90px;
            grid-area: line-bottom;
  height: auto;
            background-color: rgba(98,98,98,255);
  text-align: center;
        }
  padding: 15px;
        .SaturnForum-line-left-top {
  text-decoration: none;
            grid-area: line-left-top;
  transition: all 0.1s ease;
            background-color: rgba(98,98,98,255);
  cursor: pointer;
        }
  word-break: break-all;
        .SaturnForum-line-left-center {
  order: 2;
            grid-area: line-left-center;
}
            background-color: rgba(98,98,98,255);
.SaturnForum-user:hover {
        }
  color: #3498db;
        .SaturnForum-line-left-bottom {
  text-decoration: underline;  
            grid-area: line-left-bottom;
}
            background-color: rgba(98,98,98,255);
        }
        .SaturnForum-portrait {
            grid-area: portrait;
            background-color: rgba(98,92,93,255);
            height: 60px;
            width: 60px;
            justify-self: center;
            align-self: center;
        }
        .SaturnForum-user {
            grid-area: user;
            justify-self: center;
            height: auto;
            text-align: center;
            text-decoration: none;
            transition: all 0.1s ease;
            cursor: pointer;
            word-break: break-all;
            margin-left: 15px;
            margin-right: 15px;
        }


.SaturnForum-line-top {
            .SaturnForum-user:hover {
  position: relative;
                color: #3498db;
  width: 100%;
                text-decoration: underline;
  height: 2px;
            }
  background-color: rgba(98,98,98,255);
        .SaturnForum-time {
  order: 1;  
            grid-area: time;
}
            align-self: center;
.SaturnForum-line-left {
            justify-self: start;
  position: absolute;
            text-align: left;
  left: 120px;
            margin-left: 10px;
  height: 100%;
            font-size: 0.85rem;
  width: 2px;
            word-break: break-all;
  background-color: rgba(98,98,98,255);
        }
}
        .SaturnForum-floor {
.SaturnForum-line-bottom {
            grid-area: floor;
  position: relative;  
            align-self: center;
  width: 100%;
            justify-self: end;
  height: 2px;
            text-align: right;
  background-color: rgba(98,98,98,255);
            margin-right: 10px;
  margin-bottom: 40px;
            font-size: 0.85rem;
  order: 3;
            word-break: break-all;
}
        }
.SaturnForum-header-container {
        .SaturnForum-text {
  display: flex;
            grid-area: text;
  flex-direction: row;
            font-size: 0.95rem;
  flex-wrap: nowrap;
            word-break: break-all;
  width: 95%;
            overflow: auto;
  justify-content: flex-start;  
            margin: 5px;
  align-items: flex-start;
            line-height: 1.35;
  order: 0;  
        }
  margin: 0 auto;  
        .SaturnForum-reaction {
}
            display: grid;
.SaturnForum-time {
            grid-area: reaction;
  position: static;
            justify-self: stretch;
  text-align: left;
            align-self: stretch;
  padding: 10px;  
            width: 100%;
  padding-left: 120px;
            height: 100%;
  margin-right: 10px;  
            grid-template-columns: 50px 20px 1fr;
  font-size: 0.85rem;
            grid-template-areas:
  word-break: break-word;  
                "refence ping report";
}
        }
.SaturnForum-floor {
        .SaturnForum-refence {
  position: static;  
            grid-area: refence;
  text-align: right;  
            justify-self: center;
  padding: 10px;  
            align-self: center;
  padding-right: 10px;  
            text-align: center;
  margin-left: auto;      
            margin: 10px;
  font-size: 0.85rem;
            font-size: 0.85rem;
  word-break: break-word;  
            color: #3498db;
  min-width: 25px;  
            transition: all 0.3s ease;
}
            cursor: pointer;
.SaturnForum-refence {
        }
  position: absolute;
 
  bottom: 10px;          
            .SaturnForum-refence:hover {
  left: 120px;        
                color: #e74c3c;
  height: 10px; 
                text-decoration: underline;
  text-align: center;  
            }
  padding: 10px;
 
  font-size: 0.85rem;
        .SaturnForum-ping {
  color: #3498db;
            grid-area: ping;
  text-decoration: none;
            justify-self: center;
  transition: all 0.3s ease;  
            align-self: center;
  cursor: pointer;
            text-align: center;
}
            margin: 10px;
.SaturnForum-refence:hover {
            font-size: 0.85rem;
  color: #e74c3c;
            color: #3498db;
  text-decoration: underline;
            transition: all 0.3s ease;
}
            cursor: pointer;
.SaturnForum-ping{
        }
  position: absolute;
 
  bottom: 11px;          
            .SaturnForum-ping:hover {
  left: 160px;        
                color: #e74c3c;
  height: 10px;
                text-decoration: underline;
  text-align: center;
            }
  padding: 10px;
 
  font-size: 0.85rem;
        .SaturnForum-report {
  color: #3498db;
            grid-area: report;
  text-decoration: none;
            justify-self: right;
  transition: all 0.3s ease;  
            align-self: center;
  cursor: pointer;
            text-align: center;
}
            margin: 10px;
.SaturnForum-ping:hover{
            font-size: 0.85rem;
  color: #e74c3c;
            color: #3498db;
  text-decoration: underline;
            transition: all 0.3s ease;
}
            cursor: pointer;
.SaturnForum-report {
        }
  position: absolute;
 
  bottom: 10px;         
            .SaturnForum-report:hover {
  right: 10px;        
                color: #e74c3c;
  height: 10px;
                text-decoration: underline;
  text-align: center;  
            }
  padding: 10px;
        @media(max-width: 400px) {
  font-size: 0.85rem;
            .SaturnForum-Maincontainer {
  color: #3498db;
                grid-template-columns: 100px 1fr;
  text-decoration: none;
                grid-template-rows: 40px 2px 80px minmax(30px,auto) 2px minmax(150px,auto) 2px minmax(40px,auto);
  transition: all 0.3s ease;  
                grid-template-areas:
  cursor: pointer;  
                    "logo logo"
}
                    "line-left-top line-left-top"
                    "portrait time"
.SaturnForum-report:hover {
                    "user floor"
  color: #e74c3c;
                    "line-top line-top"
  text-decoration: underline;  
                    "text text"
}
                    "line-bottom line-bottom"
.SaturnForum-text {
                    "reaction reaction"
  position: static;
            }
  flex: 1;
            .SaturnForum-time {
  align-self: stretch;
                justify-self: end;
  margin: -105px 15px 10px 135px;
                text-align: right;
  font-size: 1rem;
                margin-right: 10px;
  word-break: break-all;
            }
  overflow: auto;
        }
  line-height: 2;
  order: 2;
}

2026年6月21日 (日) 14:26的最新版本

        .SaturnForum-Maincontainer {
            display: grid;
            width: 95%;
            min-width: 200px;
            max-width: 1100px;
            min-height: 300px;
            grid-template-columns: 100px 2px 1fr 1fr;
            grid-template-rows: minmax(40px,auto) 2px 80px minmax(136px,auto) 2px minmax(40px,auto);
            grid-template-areas:
                "logo line-left-top time floor"
                "line-top line-top line-top line-top"
                "portrait line-left-center text text"
                "user line-left-center text text"
                "line-bottom line-bottom line-bottom line-bottom"
                ". line-left-bottom reaction reaction";
            background-color: #f0f0f0;
            margin: 0 auto;
        }
        .SaturnForum-logo {
            grid-area: logo;
            justify-self: center;
            align-self: center;
        }
        .SaturnForum-line-top {
            grid-area: line-top;
            background-color: rgba(98,98,98,255);
        }
        .SaturnForum-line-bottom {
            grid-area: line-bottom;
            background-color: rgba(98,98,98,255);
        }
        .SaturnForum-line-left-top {
            grid-area: line-left-top;
            background-color: rgba(98,98,98,255);
        }
        .SaturnForum-line-left-center {
            grid-area: line-left-center;
            background-color: rgba(98,98,98,255);
        }
        .SaturnForum-line-left-bottom {
            grid-area: line-left-bottom;
            background-color: rgba(98,98,98,255);
        }
        .SaturnForum-portrait {
            grid-area: portrait;
            background-color: rgba(98,92,93,255);
            height: 60px;
            width: 60px;
            justify-self: center;
            align-self: center;
        }
        .SaturnForum-user {
            grid-area: user;
            justify-self: center;
            height: auto;
            text-align: center;
            text-decoration: none;
            transition: all 0.1s ease;
            cursor: pointer;
            word-break: break-all;
            margin-left: 15px;
            margin-right: 15px;
        }

            .SaturnForum-user:hover {
                color: #3498db;
                text-decoration: underline;
            }
        .SaturnForum-time {
            grid-area: time;
            align-self: center;
            justify-self: start;
            text-align: left;
            margin-left: 10px;
            font-size: 0.85rem;
            word-break: break-all;
        }
        .SaturnForum-floor {
            grid-area: floor;
            align-self: center;
            justify-self: end;
            text-align: right;
            margin-right: 10px;
            font-size: 0.85rem;
            word-break: break-all;
        }
        .SaturnForum-text {
            grid-area: text;
            font-size: 0.95rem;
            word-break: break-all;
            overflow: auto;
            margin: 5px;
            line-height: 1.35;
        }
        .SaturnForum-reaction {
            display: grid;
            grid-area: reaction;
            justify-self: stretch;
            align-self: stretch;
            width: 100%;
            height: 100%;
            grid-template-columns: 50px 20px 1fr;
            grid-template-areas:
                "refence ping report";
        }
        .SaturnForum-refence {
            grid-area: refence;
            justify-self: center;
            align-self: center;
            text-align: center;
            margin: 10px;
            font-size: 0.85rem;
            color: #3498db;
            transition: all 0.3s ease;
            cursor: pointer;
        }

            .SaturnForum-refence:hover {
                color: #e74c3c;
                text-decoration: underline;
            }

        .SaturnForum-ping {
            grid-area: ping;
            justify-self: center;
            align-self: center;
            text-align: center;
            margin: 10px;
            font-size: 0.85rem;
            color: #3498db;
            transition: all 0.3s ease;
            cursor: pointer;
        }

            .SaturnForum-ping:hover {
                color: #e74c3c;
                text-decoration: underline;
            }

        .SaturnForum-report {
            grid-area: report;
            justify-self: right;
            align-self: center;
            text-align: center;
            margin: 10px;
            font-size: 0.85rem;
            color: #3498db;
            transition: all 0.3s ease;
            cursor: pointer;
        }

            .SaturnForum-report:hover {
                color: #e74c3c;
                text-decoration: underline;
            }
        @media(max-width: 400px) {
            .SaturnForum-Maincontainer {
                grid-template-columns: 100px 1fr;
                grid-template-rows: 40px 2px 80px minmax(30px,auto) 2px minmax(150px,auto) 2px minmax(40px,auto);
                grid-template-areas:
                    "logo logo"
                    "line-left-top line-left-top"
                    "portrait time"
                    "user floor"
                    "line-top line-top"
                    "text text"
                    "line-bottom line-bottom"
                    "reaction reaction"
            }
            .SaturnForum-time {
                justify-self: end;
                text-align: right;
                margin-right: 10px;
            }
        }